require "../modules/camera"
loader = require "../libs/atl/Loader"

map = {}

function map.load()
	loader.path = "maps/"

	-- load map and set camera
	map.image = loader.load("world1.tmx")
	map.image:setDrawRange(0, 0, map.image.width * map.image.tileWidth, map.image.height * map.image.tileHeight)
  camera:setBounds(0, 0, map.image.width * map.image.tileWidth - gw, map.image.height * map.image.tileHeight - gh)
  
end


function map.update(dt)
	  camera:setPosition(math.floor(p.x - gw / 4), math.floor(p.y - gh / 2))
end

function map.drawBelowCamera()
	camera:set()
    map.image:draw()
end

function map.drawAboveCamera()
	camera:unset()
end
